libnvme(2)

NAME
enum nbft_ssns_trflags - SSNS Transport Specific Flags Field (Figure 17)

SYNOPSIS
enum nbft_ssns_trflags {
NBFT_SSNS_TRFLAG_VALID ,
NBFT_SSNS_PDU_HEADER_DIGEST ,
NBFT_SSNS_DATA_DIGEST

};

Constants

NBFT_SSNS_TRFLAG_VALID
    Transport Specific Flags in Use: If set to 1h, then this descriptor is valid. If cleared to 0h, then this descriptor is not valid.

NBFT_SSNS_PDU_HEADER_DIGEST
    PDU Header Digest (HDGST) Flag: If set to 1h, then the host or administrator required the connection described by this Subsystem and Namespace Descriptor to use the NVM Header Digest Enabled. A consumer of this information should attempt to use NVM Header Digest when recreating this connection if enabled. If cleared to 0h, then the host or administrator did not require the connection described by this Subsystem and Namespace Descriptor to use the NVM Header Digest Enabled.

NBFT_SSNS_DATA_DIGEST
    Data Digest (DDGST) Flag: If set to 1h, then the host or administrator required the connection described by this Subsystem and Namespace Descriptor to use the NVM Data Digest Enabled. If cleared to 0h, then the host or administrator did not require the connection described by this Subsystem and Namespace Descriptor to use the NVM Data Digest Enabled. A consumer of this field should attempt to use NVM Data Digest when recreating this connection if enabled.